Get transactions

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100
Max is 100
pagination_tokenstringOptional
A token, obtained from previous page. Prior over other filters
sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

created_at__gtdatetimeOptional

Created after this datetime (exclusive)

created_at__ltdatetimeOptional

Created before this datetime (exclusive)

updated_at__gtdatetimeOptional

Updated after this datetime (exclusive)

updated_at__ltdatetimeOptional

Updated before this datetime (exclusive)

started_at__gtdatetimeOptional

Transaction started after this datetime (exclusive)

started_at__ltdatetimeOptional

Transaction started before this datetime (exclusive)

status__inenumOptional
One or multiple of the transaction statuses
type__inenumOptional
One or multiple of the transaction types
entity_user_id__instringOptionalformat: "uuid"
One or multiple of the entity users
external_id__instringOptional
One or multiple of the transaction external ids
amount__gtintegerOptional

Amount greater than (exclusive)

amount__ltintegerOptional

Amount less than (exclusive)

currency__inenumOptional
One or multiple of the transaction currencies
merchant_amount__gtintegerOptional

Merchant amount greater than (exclusive)

merchant_amount__ltintegerOptional

Merchant amount less than (exclusive)

merchant_currency__inenumOptional
One or multiple of the transaction merchant currencies
merchant_name__icontainsstringOptional
Partially matched merchant name
payment_methodenumOptional
Payment method type of the transaction
Allowed values:
payment_method__inenumOptional
One or multiple of the payment method types
Allowed values:

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

400
Get Transactions Request Bad Request Error
401
Get Transactions Request Unauthorized Error
403
Get Transactions Request Forbidden Error
422
Get Transactions Request Unprocessable Entity Error
429
Get Transactions Request Too Many Requests Error